Name:           vmpk
Version:        0.6.2a
Release:        %mkrel 1
Summary:        Virtual MIDI Piano Keyboard
Group:          Sound/Midi
License:        GPLv3+
URL:            http://vmpk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  pkgconfig(drumstick-rt)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  qttools5
BuildRequires:  xsltproc
BuildRequires:  docbook-style-xsl
Requires:       fluid-soundfont-gm

%description
VMPK is a MIDI event generator/receiver. It doesn't produce any sound by
itself, but can be used to drive a MIDI synthesizer (either hardware or
software, internal or external). You can use the computer's keyboard to play
MIDI notes, and also the mouse. You can use the Virtual MIDI Piano Keyboard to
display the played MIDI notes from another instrument or MIDI file player.

This package is compiled with JACK driver.

%prep
%autosetup

%build
%cmake_qt5
%make_build

%install
%make_install -C build

%files
%doc NEWS README ChangeLog AUTHORS TODO COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Mon Jan 25 2016 akien <akien> 0.6.2a-1.mga6
+ Revision: 927560
- Version 0.6.2a

* Fri Oct 23 2015 akien <akien> 0.6.1-1.mga6
+ Revision: 894773
- Version 0.6.1

* Wed Jan 14 2015 akien <akien> 0.6.0-1.mga6
+ Revision: 810740
- imported package vmpk

